function redirect(pagina,time){
window.setTimeout("window.location='"+pagina+"';",time)}
 function extraiScript(texto){  
     var ini, pos_src, fim, codigo, texto_pesquisa;  
     var objScript = true;    
     texto_pesquisa = texto.toLowerCase()    
     ini = texto_pesquisa.indexOf('<script', 0)   
     while (ini!=-1){   
         var objScript = document.createElement("script");    
         pos_src = texto_pesquisa.indexOf(' src', ini)    
         ini = texto_pesquisa.indexOf('>', ini) + 1;    
         if (pos_src < ini && pos_src >=0){
             ini = pos_src + 4;  
             fim = texto_pesquisa.indexOf('.', ini)+4;  
             codigo = texto.substring(ini,fim);  
             codigo = codigo.replace("=","").replace(" ","").replace("\"","").replace("\"","").replace("\'","").replace("\'","").replace(">","");    
             objScript.src = codigo;  
         }else{
             fim = texto_pesquisa.indexOf('</script>', ini);    
             codigo = texto.substring(ini,fim);    
             objScript.text = codigo;  
         }    
         document.body.appendChild(objScript);   
         ini = texto.indexOf('<script', fim);    
         objScript = true;  
     }  
 } 

function Load(url,div,noimg){
if(noimg==null)
noimg=0
var tipo='GET';
var ajax=null
var	src_ajax
if(noimg==0)
src_ajax	=	'<center><img src="images/load.gif" title="Aguarde por favor..." /><br />Carregando Conteúdo!</center>'
else
src_ajax	=	'<center><img src="images/load.gif" title="Aguarde por favor..." /><br />Carregando Conteúdo!</center>'
if(window.ActiveXObject)
ajax=new ActiveXObject('Microsoft.XMLHTTP')
else if(window.XMLHttpRequest)
ajax=new XMLHttpRequest()
if(ajax !=null){
var cache=new Date().getTime()
ajax.open(tipo,url+"&cache="+cache,true)
ajax.onreadystatechange=function status(){
if(ajax.readyState==4){
if(ajax.status==200){
document.getElementById(div).innerHTML=ajax.responseText
var texto=unescape(ajax.responseText.replace(/\+/g," "))
extraiScript(texto)}}
else
document.getElementById(div).innerHTML=	src_ajax}
ajax.send(null)}}
function Open(pagina){
Load(pagina,"main")}
function makeLinks(){
if(!document.getElementsByTagName)return
var anchors=document.getElementsByTagName("a")
for(var i=0;i<anchors.length;i++){
var anchor=anchors[i]
if(anchor.getAttribute("href")&&
anchor.getAttribute("rel")=="external"){
anchor.target="_blank"}}}
window.onload=makeLinks

function	enc(str)
	{
		
		return escape($F(str));
	
	}
function atualizar(parametro,div,tempo)
	{

		window.setTimeout("Load('"+parametro+"','"+div+"');",tempo);
	
	}
function show(id)
{
document.getElementById('pesq'+id+'link').innerHTML = '&nbsp;&nbsp;<a href="#" onclick="javascript: hide('+id+');">[Esconder Dados]</a>';
document.getElementById('pesq'+id+'a').style.display = "block";   
}
function hide(id)
{
document.getElementById('pesq'+id+'link').innerHTML = '&nbsp;&nbsp;<a href="#" onclick="javascript: show('+id+');">[Mostrar Dados]</a>';
document.getElementById('pesq'+id+'a').style.display = "none";   
}
function Carregar(toLoad,diivi){
var div = document.getElementById(diivi);
div.innerHTML = "<center><img src='loading.gif'></center>";
var ajax = new Ajax();
ajax.set_receive_handler(
function(c) {
div.innerHTML = c;
}
);
ajax.send(toLoad);
}
function logar(){
var login	=	document.getElementById('login').value;
var senha	=	document.getElementById('senha').value;
var	msg		=	"";
var erro	=	0;
if(login==""){ msg+="Preencha todos os campos !\n"; erro=1; }
if(senha==""){ msg+="Preencha todos os campos !\n"; erro=1; }
if(msg!="" && erro==1){ window.alert(msg); return false; }else{
Carregar('painel.php?login='+login+'&senha='+senha+'&loga=true','painel');
}
}